Bug 596747 - Assertion failure in meta_prefs_get_workspace_name()
Assertion failure in meta_prefs_get_workspace_name()
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
abrt_hash:91b489cec45b0fe2879af971986...
:
: 585724 595020 596754 603561 615400 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-27 08:44 EDT by lpineau
Modified: 2011-06-27 12:48 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:48:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (13.19 KB, text/plain)
2010-05-27 08:44 EDT, lpineau
no flags Details

  None (edit)
Description lpineau 2010-05-27 08:44:49 EDT
abrt 1.1.0 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: metacity
component: metacity
crash_function: raise
executable: /usr/bin/metacity
global_uuid: 91b489cec45b0fe2879af971986ee050fdaa886d
kernel: 2.6.33.4-95.fc13.i686
package: metacity-2.30.0-2.fc13
rating: 4
reason: Process /usr/bin/metacity was killed by signal 6 (SIGABRT)
release: Fedora release 13 (Goddard)

comment
-----
I manage a bunch of servers and I configured my display with 24 workspaces, one for every server. Usually with previous versions of Fedora (12 and before) there were no problems using that many workspaces. I tried with 6, 12, 15 and 18 workspaces. At 18 and over, metacity starts crashing.

Louis

How to reproduce
-----
1. Increate the number of workspaces beyong 15
2.Logout/login again
3
Comment 1 lpineau 2010-05-27 08:44:50 EDT
Created attachment 417226 [details]
File: backtrace
Comment 2 Owen Taylor 2010-07-08 14:11:20 EDT
*** Bug 596754 has been marked as a duplicate of this bug. ***
Comment 3 Owen Taylor 2010-07-08 14:31:07 EDT
*** Bug 603561 has been marked as a duplicate of this bug. ***
Comment 4 Owen Taylor 2010-07-08 14:42:33 EDT
*** Bug 585724 has been marked as a duplicate of this bug. ***
Comment 5 Owen Taylor 2010-07-08 14:43:54 EDT
*** Bug 595020 has been marked as a duplicate of this bug. ***
Comment 6 Owen Taylor 2010-07-16 13:43:38 EDT
*** Bug 615400 has been marked as a duplicate of this bug. ***
Comment 7 Michael Schwendt 2010-07-16 14:40:23 EDT
How to reproduce
-----
1. gconftool-2 -s --type int /apps/metacity/general/num_workspaces 20
2. CTRL+Alt+CURSOR-RIGHT  at least once
3. crash
Comment 8 Colin Adams 2010-11-27 05:25:47 EST
I have this too.

I routinely have 21 workspaces on Fedora 12.
After a new installation with Fedora 14 (but retaining the old /home) I got this problem. I had to use the gconftool-2 illustrated in this bug report to change it to 15 to stop the respeated crash.
Comment 9 Gabriel Donnell 2011-01-18 08:48:14 EST
I encountered this issue also on Fedora 14.

I use Red Hat and Fedora for years through RHEL 5 & Fedora 10 with GNOME Desktop Sessions that have at least 18 to 24 Workspaces. I manage several RHEL Systems in Data Centers around the World. Hence, I have become extremely dependent on using several Workspaces.

I would like to get a solution to this soon. If there is anything I can do to assist, then please let me know. I have a lot of Programming Experience.
Comment 10 Jan Kratochvil 2011-01-18 09:04:07 EST
I use gconf-editor and fill up the name_XX entries up to 24 by hand in:
  /apps/metacity/general/num_workspaces
IIRC one can run gconf-editor without a window manager.
Comment 11 Bug Zapper 2011-06-02 09:15:23 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2011-06-27 12:48:14 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.